import request from './request';

// 获取购物车列表
export function getCartList(params) {
	return request({
	  url: `shopCart/queryList/${params.pageNo}/${params.pageSize}`,
	  method: 'post',
	  data: params
	})
}

// 添加商品到购物车
export function addCart(params) {
	return request({
	  url: `shopCart/addProduct`,
	  method: 'post',
	  data: params
	})
}

// 修改购物车商品数量
export function updateCart(params) {
	return request({
	  url: `shopCart/updateProduct`,
	  method: 'post',
	  data: params
	})
}

// 删除购物车商品
export function deleteCart(params) {
	return request({
	  url: `shopCart/batchDelProduct`,
	  method: 'post',
	  data: params
	})
}

// 购物车总数
export function getCartCount(params) {
	return request({
	  url: `shopCart/productCount`,
	  method: 'post',
	  data: params
	})
}
// 商城是否开启
export function getShopStatus(params) {
	return request({
	  url: `shopCart/findMallParam`,
	  method: 'post',
	  data: params
	})
}